[Overview][Constants][Types][Classes][Index] | Reference for unit 'zipper' (#fcl)

# TZipper.ZipAllFiles

Zips all files in object and writes zip to disk

## Declaration

Source position: zipper.pp line 341

`public procedure TZipper.ZipAllFiles; virtual;`

## Description

This procedure zips up all files in the TZipper object and writes the resulting zip file to disk.

An example of using this procedure:

    uses
      Zipper;
    var
      Zipper: TZipper;
    begin
      try
        Zipper := TZipper.Create;
        Zipper.FileName := ParamStr(1); //Use the first parameter on the command line as zip file name
        for I := 2 to ParamCount do //Use the other arguments on the command line as files to be zipped
          Zipper.Entries.AddFileEntry(ParamStr(I), ParamStr(I));
        Zipper.ZipAllFiles;
      finally
        Zipper.Free;
      end;
    end.

Documentation generated on: Feb 26 2014